Subject: [Isis-wg] Voids in LSP?

From: Abhishek Verma <[email-masked]>
Date: Fri, 1 Oct 2004 13:22:54 +0530

Hi,

One thing which i noticed in OSPF was that each individual route can
be advertised in a separate LSA. And multiple LSAs can be clubbed
inside one LSUpdate message. If i understand correctly, then this for
some reason seems to be missing in ISIS.

Say, i receive a route. I try fitting this into one LSP. I find that
it cant fit, so i create a new LSP and put this route there. I thus
end up advertising two LSPs. Now, suppose some routing information
that i had stored in the first LSP goes away, and makes enough space
for me to fit the route that i have in the new LSP here in the first
LSP.

Will i remove the information from the 2nd LSP and try to fit this in
the first one?

If not, then cant it lead to a lot of waste spaces inside an LSP? I
mean, routes can come and go and cant that create voids in an LSP?

I think, now if i get some new routing information i will try to fit
that into my original LSP. If it can fit there, then i will advertise
this LSP. Only, if it cant fit, then i will use my next new LSP which
i had created.

Is this how it works?

Thanks,
Abhishek V.

P.S.

BTW is there a document/URL which can tell tell me of how and where
the two protocols ISIS and OSPF differ?

--
Class of 2004
Institute of Technology, BHU
Varanasi, India

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg

---

From: Les Ginsberg <[email-masked]>
Date: Sat, 02 Oct 2004 23:12:07 -0700

>some reason seems to be missing in ISIS.

IS-IS uses a TLV based encoding scheme which has proven to be very 
efficient in terms of the number of bytes required to advertise multiple 
prefixes/neighbors etc. and has made it easy to extend the 
protocol.  Multiple prefixes are routinely advertised in a single LSP PDU.

>Will i remove the information from the 2nd LSP and try to fit this in

This would be undesirable as it unnecessarily causes increased flooding (2 
LSPs updated instead of one) and possibly more SPFs run network-wide as a 
result.

>mean, routes can come and go and cant that create voids in an LSP?

It is certainly possible to have multiple LSP fragments none of which are 
full. Implementations can (and should) minimize this by always inserting 
new routing information into existing fragments whenever possible.

    Les